Bug 132817 - joe doesn't handle END and HOME keys properly in X
joe doesn't handle END and HOME keys properly in X
Status: CLOSED DUPLICATE of bug 122815
Product: Fedora
Classification: Fedora
Component: joe (Show other bugs)
2
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Lon Hohberger
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-17 09:25 EDT by Ondrej Svetlik
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 14:05:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ondrej Svetlik 2004-09-17 09:25:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040803

Description of problem:
I had to add
bol             ^[ O H
eol             ^[ O F

to /etc/joe/joerc to make HOME/END keys work in X (gnome-terminal). I
think this should be in the default configuration.

Version-Release number of selected component (if applicable):
joe-2.9.8-9

How reproducible:
Always

Steps to Reproduce:
1.run gnome-terminal
2.run joe
3.type something and press HOME key
    

Actual Results:  Cursor stays where it is.

Expected Results:  Cursor should move to the beginning of the line.

Additional info:
Comment 1 Lon Hohberger 2004-09-20 10:24:45 EDT
Ick.
Comment 2 Bill Nottingham 2004-09-24 23:38:02 EDT

*** This bug has been marked as a duplicate of 122815 ***
Comment 3 Red Hat Bugzilla 2006-02-21 14:05:41 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.